Hi,

I'm assuming this commit will break the 'w2k' pveOS default (because the
scsihw will be inherited from generic):

Here's a fix for that (sorry for not submitting a proper patch, i did a
quick diff on the pvemanagerlib.js):

@@ -17684,7 +17684,8 @@
        addOS({
            pveOS: 'w2k',
            parent : 'generic',
-           networkCard: 'rtl8139'
+           networkCard: 'rtl8139',
+           scsihw: 'lsi'
        });

     }

Kind regards,
Caspar

2016-09-15 9:34 GMT+02:00 Emmanuel Kasper <e.kas...@proxmox.com>:

> ---
>  www/manager6/qemu/HDEdit.js     | 4 ++++
>  www/manager6/qemu/OSDefaults.js | 3 ++-
>  2 files changed, 6 insertions(+), 1 deletion(-)
>
> diff --git a/www/manager6/qemu/HDEdit.js b/www/manager6/qemu/HDEdit.js
> index c86ab44..312b218 100644
> --- a/www/manager6/qemu/HDEdit.js
> +++ b/www/manager6/qemu/HDEdit.js
> @@ -111,6 +111,10 @@ Ext.define('PVE.qemu.HDInputPanel', {
>
>         params[confid] = PVE.Parser.printQemuDrive(me.drive);
>
> +       if (me.insideWizard) {
> +           params.scsihw = PVE.qemu.OSDefaults.generic.scsihw;
> +       }
> +
>         return params;
>      },
>
> diff --git a/www/manager6/qemu/OSDefaults.js b/www/manager6/qemu/
> OSDefaults.js
> index 3a834fa..7ebfef0 100644
> --- a/www/manager6/qemu/OSDefaults.js
> +++ b/www/manager6/qemu/OSDefaults.js
> @@ -36,7 +36,8 @@ Ext.define('PVE.qemu.OSDefaults', {
>         // default values
>         me.generic = {
>             busType: 'ide',
> -           networkCard: 'e1000'
> +           networkCard: 'e1000',
> +           scsihw: 'virtio-scsi-pci'
>         };
>
>         // both of them are in kernel since 2.6.25
> --
> 2.1.4
>
>
> _______________________________________________
> pve-devel mailing list
> pve-devel@pve.proxmox.com
> http://pve.proxmox.com/cgi-bin/mailman/listinfo/pve-devel
>
_______________________________________________
pve-devel mailing list
pve-devel@pve.proxmox.com
http://pve.proxmox.com/cgi-bin/mailman/listinfo/pve-devel

Reply via email to